Skip to main content
GET
/
api
/
recipients
/
detail
Get Recipient Details
curl --request GET \
  --url http://127.0.0.1:8083/api/recipients/detail \
  --header 'X-API-Key: <api-key>' \
  --header 'X-API-Secret: <api-key>'
{
  "name": "<string>",
  "type": "<string>",
  "website": "<string>",
  "recipient_id": "<string>",
  "partner_recipient_id": "<string>",
  "status": "Processing,Succeeded,Failed,Suspended",
  "country_code": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "address_info": {
    "address_line_1": "<string>",
    "address_line_2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "post_code": "<string>"
  },
  "payment_details": {
    "account_type": "bank",
    "bank_name": "JPMorgan Chase",
    "network": "SWIFT",
    "payment_method": "INTERNATIONAL_WIRE",
    "account_name": "<string>",
    "account_number": "<string>",
    "swift_code": "<string>",
    "account_currency": "USD",
    "country_code": "US",
    "local_bank_code": "<string>"
  },
  "file_id_list": [
    "<string>"
  ]
}

Authorizations

X-API-Key
string
header
required

Includes an API key in the HTTP headers to authenticate the client.

X-API-Secret
string
header
required

Includes an API secret in the HTTP headers to authenticate the client.

Query Parameters

partner_recipient_id
string

Partner Recipient Id

recipient_id
string

Recipient Id

Response

Operation Successful

name
string
required
type
string
required
website
string
required
recipient_id
string
partner_recipient_id
string
status
string

Status

Example:

"Processing,Succeeded,Failed,Suspended"

country_code
string
created_at
string<date-time>
address_info
object
payment_details
object

Payment details

file_id_list
string[]